Publications
List recent publications and draft status
GET
header
AuthorizationBearer <Postdot API key>A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.
projectId*stringLength
1 <= lengthtagIds?|array<>cursor?stringLength
1 <= length <= 1024limit?integerRange
1 <= value <= 100state?stringValue in
"draft""scheduled"sort?stringValue in
"queue""updated_desc""updated_asc""created_desc""created_asc""scheduled_desc""scheduled_asc"from?integerRange
0 <= valueto?integerRange
0 <= valueResponse for status 200
application/json- response
publications*array<>nextCursor*|nullsummary*curl -X GET 'https://postbot.example/api/projects/string/publications'Example Response
{
"publications": [
{
"id": "string",
"projectId": "string",
"postId": "string",
"channelId": "string",
"targetRevisionId": "string",
"deliveryMode": "manual",
"reviewState": "compatible",
"state": "draft",
"scheduledAt": -9007199254740991,
"publishedAt": -9007199254740991,
"externalId": "string",
"externalUrl": "string",
"errorMessage": "string",
"createdByActorId": "string",
"scheduledByActorId": "string",
"stateChangedByActorId": "string",
"publishedByActorId": "string",
"lastAssessedProfileVersionId": "string",
"createdAt": -9007199254740991,
"updatedAt": -9007199254740991,
"profileAssessmentIssues": [
{}
],
"postTitle": "string",
"sourceExcerpt": "string",
"mediaAssetIds": [
"string"
],
"mediaCount": 0,
"lastEditedAt": 0,
"channelName": "string",
"draftRevision": 1,
"draftReviewState": "compatible",
"draftDiffersFromTarget": true,
"tagIds": [
"string"
]
}
],
"nextCursor": "string",
"summary": {
"total": 0,
"manual": 0,
"automatic": 0,
"scheduled": 0,
"draft": 0
}
}